# Security Policy

## Supported Versions

Use this section to tell people about which versions of your project are
currently being supported with security updates.

| Version    | Supported          |
| ---------- | ------------------ |
| 2.12.c.5   | :white_check_mark: |
| < 2.12.c.5 | :x:                |

## Reporting a Vulnerability

If there's a severe security vulnerability in the latest version of i3lock-color, don't post a public issue. Either email me directly at [i3lock@raymond.li](mailto:i3lock@raymond.li?subject=i3lock-color%20security%20vulnerability), or encrypt the issue text with my PGP public key:
```
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=HNQH
-----END PGP PUBLIC KEY BLOCK-----
```
You can also get my key directly from the [GNUPG keyserver](http://keys.gnupg.net/pks/lookup?op=vindex&fingerprint=on&search=0xF058DF982DB42F9D).
